# org.springframework.transaction

## Interfaces

- PlatformTransactionManager
- SavepointManager
- TransactionDefinition
- TransactionStatus

## Exceptions

- CannotCreateTransactionException
- HeuristicCompletionException
- IllegalTransactionStateException
- InvalidIsolationLevelException
- InvalidTimeoutException
- NestedTransactionNotSupportedException
- NoTransactionException
- TransactionException
- TransactionSuspensionNotSupportedException
- TransactionSystemException
- TransactionTimedOutException
- TransactionUsageException
- UnexpectedRollbackException